Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::box< Element, Tag, detail::box_compress::coalesce > Class Template Reference
Utility

## Public Member Functions
template<typename E , requires = (std::is_constructible<Element, E>::value && detail::is_convertible<E, Element>::value)>
constexpr | box (E &&) noexcept
template<typename E , requires = (std::is_constructible<Element, E>::value && !detail::is_convertible<E, Element>::value)>
constexpr | box (E &&) noexcept
Element & | get () &noexcept
constexpr Element const & | get () const &noexcept
Element && | get () &&noexcept